CREATE TABLE iby_pay_service_requests (
    PAYMENT_SERVICE_REQUEST_ID        NUMBER(18, 0) ,
    CALLING_APP_ID                    NUMBER(18, 0)     NOT NULL,
    CALL_APP_PAY_SERVICE_REQ_CODE     VARCHAR2(1020)    NOT NULL,
    PAYMENT_SERVICE_REQUEST_STATUS    VARCHAR2(120)     NOT NULL,
    PROCESS_TYPE                      VARCHAR2(120)     NOT NULL,
    ALLOW_ZERO_PAYMENTS_FLAG          VARCHAR2(4)       NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    INTERNAL_BANK_ACCOUNT_ID          NUMBER(18, 0) ,
    PAYMENT_PROFILE_ID                NUMBER(18, 0) ,
    MAXIMUM_PAYMENT_AMOUNT            NUMBER        ,
    MINIMUM_PAYMENT_AMOUNT            NUMBER        ,
    DOCUMENT_REJECTION_LEVEL_CODE     VARCHAR2(120) ,
    PAYMENT_REJECTION_LEVEL_CODE      VARCHAR2(120) ,
    REQUIRE_PROP_PMTS_REVIEW_FLAG     VARCHAR2(4)   ,
    ORG_TYPE                          VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    CREATE_PMT_INSTRUCTIONS_FLAG      VARCHAR2(4)   ,
    PAYMENT_DOCUMENT_ID               NUMBER(18, 0) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    NOTIFICATION_MESSAGE_ID           NUMBER(18, 0) ,
    PAYMENT_MODE_CODE                 VARCHAR2(120) ,
    PAYMENT_INSTRUMENT_ID             NUMBER(18, 0) ,
    PAYMENT_SERVICE_REQUEST_ID        NUMBER(18, 0) ,
    CALLING_APP_ID                    NUMBER(18, 0)     NOT NULL,
    CALL_APP_PAY_SERVICE_REQ_CODE     VARCHAR2(1020)    NOT NULL,
    PAYMENT_SERVICE_REQUEST_STATUS    VARCHAR2(120)     NOT NULL,
    PROCESS_TYPE                      VARCHAR2(120)     NOT NULL,
    ALLOW_ZERO_PAYMENTS_FLAG          VARCHAR2(4)       NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    INTERNAL_BANK_ACCOUNT_ID          NUMBER(18, 0) ,
    PAYMENT_PROFILE_ID                NUMBER(18, 0) ,
    MAXIMUM_PAYMENT_AMOUNT            NUMBER        ,
    MINIMUM_PAYMENT_AMOUNT            NUMBER        ,
    DOCUMENT_REJECTION_LEVEL_CODE     VARCHAR2(120) ,
    PAYMENT_REJECTION_LEVEL_CODE      VARCHAR2(120) ,
    REQUIRE_PROP_PMTS_REVIEW_FLAG     VARCHAR2(4)   ,
    ORG_TYPE                          VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    CREATE_PMT_INSTRUCTIONS_FLAG      VARCHAR2(4)   ,
    PAYMENT_DOCUMENT_ID               NUMBER(18, 0) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    NOTIFICATION_MESSAGE_ID           NUMBER(18, 0) ,
    PAYMENT_MODE_CODE                 VARCHAR2(120) ,
    PAYMENT_INSTRUMENT_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_iby_pay_service_requests PRIMARY KEY (PAYMENT_SERVICE_REQUEST_ID, PAYMENT_SERVICE_REQUEST_ID)
);
